Wind River VxWorks TCP Predictability Vulnerability

Medium Nessus Plugin ID 84399


The remote VxWorks device is potentially affected by a TCP predictability vulnerability.


According to its self-reported version, the Wind River VxWorks remote device is potentially affected by a TCP predictability vulnerability that allows a man-in-the-middle attacker to predict the TCP initial sequence numbers based on previous values. This can exploited to spoof or disrupt TCP connections, or to gain access to sensitive information.

Note that Nessus has not checked for the presence of the patch so this finding may be a false positive.


Contact the device vendor for the appropriate patch.

Plugin Details

Severity: Medium

ID: 84399

File Name: vxworks_cve-2015-3963.nasl

Version: $Revision: 1.5 $

Type: remote

Family: Misc.

Published: 2015/06/25

Modified: 2016/08/16

Dependencies: 11936

Risk Information

Risk Factor: Medium


Base Score: 5.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:windriver:vxworks

Required KB Items: Settings/ParanoidReport, Host/OS

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2015/06/18

Vulnerability Publication Date: 2015/06/18

Reference Information

CVE: CVE-2015-3963

BID: 75302

OSVDB: 123469

ICSA: 15-169-01

IAVB: 2015-B-0082

CERT: 498440